0

I am installing WSUS 3.0 SP2 on a Windows Server 2008 R2 server. It gets through the install portions until it gets to Configuring database. It then gives me a message that says packaged failed to install. It drops the SUSDB files into the data area of the WID directory but when it says that error the rollback of the installation deletes the SUSDB files.

The error Log shows this:

2013-01-18 15:43:39  Error     MWUSSetup          InstallWsus: MWUS Installation Failed (Error 0x80070643: Fatal error during installation.)
2013-01-18 15:43:39  Error     MWUSSetup          CInstallDriver::PerformSetup: WSUS installation failed (Error 0x80070643: Fatal error during installation.)
2013-01-18 15:43:39  Error     MWUSSetup          CSetupDriver::LaunchSetup: Setup failed (Error 0x80070643: Fatal error during installation.

In the error Log for the database it gives me a 17207 error

2009-04-10 09:29:48.24 spid5s      Error: 17207, Severity: 16, State: 1.
2009-04-10 09:29:48.24 spid5s      FCB::RemoveAlternateStreams: Operating system error 6(The handle is invalid.) occurred while creating or opening file

I have uninstalled and reinstalled the components 3 times and I get the same issue. I cannot rebuild this server. How can I fix this WID issue to get the database working for WSUS?

  • Just asking: 1. Why choose Server 2008 R2, and 2. Why specifically choose WID - you can use free SQL Express instead. – Am_I_Helpful Oct 7 '17 at 17:13
  • I am required to use Windows Server 2008 R2 per guidelines presented and we are not ready to upgrade due to certain requirements. Also WID is what we have decided on using as it is already built in. I cannot add software to this system due to again requirements. – JukEboX Oct 10 '17 at 13:06
1

I found the issue was that .NET Framework 4.6 was installed. After uninstalling it and running the installer again all was installed fine without a problem. Reinstalled .NET 4.6 to run my other software after the installation was complete.

There was some information I stumbled upon that .NET 4.6 and up can cause a problem with the installation of this software. Unisntall the .NET 4.6 or up and run the WSUS 3.0 SP2 installer again and then reinstall .NET 4.6. The WSUS installer will use the older .NET 2.0 framework to complete the installation successfully.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.